VARKON Version 1.17D 2003-03-25

| ## tcp_outvec - function
Description
Send vector on specified socket connection. A parameter can be used to specify conversion between 32/64 bit floats. This function is equivalent to 3 succesive calls to TCP_outfloat.
Syntax
tcp_outvec(socket, bytecount, byteorder, timeout, data);
INT | socket
INT | bytecount
INT | byteorder
FLOAT | timeout
VECTOR | data
Principal parameters
socket | - id of the socket connection to use for send
bytecount | - The number of bytes to send for each component(x,y,z). The only valid values are 4 and 8.
byteorder | - If = 1 conversion is made from local to network byteorder. 0 = no conversion.
timeout | - Time to wait when host is blocked.
data | - The data to be sent.
Optional parameters
none

Return value
An INT value equal to the current error status as below.

24 = | Operation was successful, 24 bytes sent (3 x 8).
12 = | Operation was successful, 12 bytes sent (3 x 4).
-1 = | Timeout value is expired.
-2 = | The descriptor is not a socket or the socket is not connected.
-3 = | The network subsystem or the associated service provider has failed.
-18 = | Winsock routine select() failed before sending.
-19 = | Winsock routine send() failed.
-22 = | The virtual circuit was reset by the remote side executing a "hard" or "abortive" close.
-23 = | The connection has been dropped because of a network failure or because the system on the other end went down without notice.

Comments
Conversion from local to network byteorder is only possible for 4-byte floats.

See also
tcp_connect() tcp_listen() tcp_close() tcp_outint() tcp_inint() tcp_infloat() tcp_outfloat() tcp_invec() tcp_getlocal() tcp_getremote()

VARKON Homepage | Index